#!/bin/bash

set -x 

source /etc/profile.d/modules.sh

module purge

module load Python/2.7.9-foss-2015a
module load pandas/0.23.3-foss-2015a-Python-2.7.9
if [[ -z $1 ]]; then
 date=$(date +%Y%m%d -d '-1day')
else 
 date=$1
fi
pathtopy='/esarchive/obs/eea/eionet/scripts/'

cd $pathtopy
echo $pathtopy

python dwlpy-CM.py

rm /esarchive/obs/eea/eionet/original_files/tmp/*
chmod 775 /esarchive/obs/eea/eionet/original_files/${date}.csv
[[ ! -f /esarchive/obs/eea/eionet/original_files/${date}.csv ]] && ssh bscesoper.bsc.es /esarchive/obs/eea/eionet/email_alert.bash $d
bash /esarchive/obs/eea/eionet/scripts/quality_checks_test_eionet.sh #Added Checks Calum 24/05/2022

#Added by Calum 30/01/2023 to copy files to gpfs to be read by providentia
elements="pm10  pm2p5  sconcco  sconcno  sconcno2  sconco3  sconcso2"
month=$(echo $date | cut -c1-6)
inpath="/esarchive/obs/eea/eionet/hourly"
outpath="/gpfs/projects/bsc32/AC_cache/obs/nonghost/eea/eionet/hourly"

for e in $elements; do
    echo "Original file"
    echo "${inpath}/${e}/${e}_${month}.nc"
    ssh nord3-v2 cp ${inpath}/${e}/${e}_${month}.nc ${outpath}/${e}
    echo "File copied to"
    echo "${outpath}/${e}"
done

