#!/bin/bash
#SBATCH -A bsc32
#
#
#SBATCH --cpus-per-task=1
#16
#SBATCH -n 1
#SBATCH -t 0-02:00:00
#SBATCH -J vra-netcdf-fmt
#SBATCH -e /esarchive/obs/ineris/eionet-cams2_40-vra/scripts/out-logs/format-cams-vra-data-in-netcdf-%j.err
#SBATCH -o /esarchive/obs/ineris/eionet-cams2_40-vra/scripts/out-logs/format-cams-vra-data-in-netcdf-%j.out
#BSUB -x

# load modules or conda environments here
module load jupyterlab/3.0.9-foss-2019b-Python-3.7.4module load Python/3.7.4-GCCcore-8.3.0
module load NES/1.0.0-nord3-v2-foss-2019b-Python-3.7.4
module load xarray/0.19.0-foss-2019b-Python-3.7.4

if [ "$1" == "" ]
then
        date=`date +%Y%m%d`
else date=$1
fi
number_of_previous_months=2

indir="/esarchive/obs/ineris/eionet-cams2_40-vra/daily/"
outdir="/esarchive/scratch/cmeikle/original-data-downloads/eionet-cams-40/vra/hourly"
pypath=/esarchive/scratch/cmeikle/git_projects/ac-eionet-data/ineris/vra/fmt-nc-nord3.py
 
python3 $pypath -d $date -i $indir -o $outdir -n $number_of_previous_months
