#!/bin/bash
#SBATCH -A bsc32
#
#
#SBATCH --cpus-per-task=1
#SBATCH --constraint=medmem
#16
#SBATCH -n 1
#SBATCH -t 0-01:00:00
#SBATCH -J cams-vra-fmt
#SBATCH -e /esarchive/obs/ineris/eionet-cams2_40-vra/scripts/out-logs/format-cams-vra-data-%j.err
#SBATCH -o /esarchive/obs/ineris/eionet-cams2_40-vra/scripts/out-logs/format-cams-vra-data-%j.out
#BSUB -x

module load pandas


if [ "$1" != "" ]; then
    sdat=$1
else
    sdat=$(date -d "-1 day" +%Y%m%d)
fi

echo "START DATE"
echo $sdat


if [ "$2" != "" ]; then
    edat=$2
else
    edat=$(date +%Y%m%d)
fi

echo "END DATE"
echo $edat

python /esarchive/obs/ineris/eionet-cams2_40-vra/scripts/fmt-cams-vra.py -s "${sdat}" -e "${edat}"
